ALTER TABLE `multicart_product_options`
	ADD COLUMN `cdn_images_moved` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `product_length`;
ALTER TABLE `multicart_product_view_images`
	ADD COLUMN `cdn_images_moved` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `vproduct_image_delete_status`;
ALTER TABLE `multicart_homepagebanners`
	ADD COLUMN `cdn_images_moved` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `link`;
ALTER TABLE `multicart_banners`
	ADD COLUMN `cdn_images_moved` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `vbannerdelete_status`;
ALTER TABLE `multicart_categories`
	ADD COLUMN `cdn_images_moved` ENUM('Y','N') NULL DEFAULT 'N' AFTER `alias`;

ALTER TABLE `multicart_settings`
	ADD COLUMN `dwolla_payment_enable` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `amazon_secret_key`,
	ADD COLUMN `dwolla_payment_test_mode` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `dwolla_payment_enable`,
	ADD COLUMN `dwolla_key` VARCHAR(255) NULL DEFAULT NULL AFTER `dwolla_payment_test_mode`,
	ADD COLUMN `dwolla_secretkey` VARCHAR(255) NULL DEFAULT NULL AFTER `dwolla_key`;

CREATE TABLE `multicart_artist_devices` (
	`artist_device_id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`artist_id` BIGINT(20) NOT NULL DEFAULT '0',
	`device_id` VARCHAR(255) NOT NULL DEFAULT '0',
	`device_type` VARCHAR(255) NOT NULL DEFAULT '0',
	`date_added` DATETIME NULL DEFAULT NULL,
	`date_updated` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	PRIMARY KEY (`artist_device_id`)
)
COLLATE='latin1_swedish_ci'
ENGINE=MyISAM;

ALTER TABLE `multicart_couponcode`
	CHANGE COLUMN `categoryId` `categoryId` TEXT NULL DEFAULT NULL AFTER `sellerId`,
	CHANGE COLUMN `productId` `productId` TEXT NULL DEFAULT NULL AFTER `categoryId`;


ALTER TABLE `multicart_email_templates`
	ADD COLUMN `artist_id` BIGINT NULL AFTER `vtemplate_flag`;

ALTER TABLE `multicart_settings`
	ADD COLUMN `stripe_payment_enable` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `dwolla_secretkey`,
	ADD COLUMN `stripe_payment_test_mode` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `stripe_payment_enable`,
	ADD COLUMN `stripe_publish_key` VARCHAR(255) NULL DEFAULT NULL AFTER `stripe_payment_test_mode`,
	ADD COLUMN `stripe_secretkey` VARCHAR(255) NULL DEFAULT NULL AFTER `stripe_publish_key`;

ALTER TABLE `multicart_settings`
	ADD COLUMN `enable_free_shipping` ENUM('Y','N') NOT NULL DEFAULT 'N' AFTER `stripe_secretkey`,
	ADD COLUMN `min_order_amount` DOUBLE(11,2) NULL DEFAULT NULL AFTER `enable_free_shipping`;
